#!/bin/sh

MAKEDEV=/dev/MAKEDEV.nvidia

echo "===> Running "`basename $0`

sysctl vfs.devfs.generation > /dev/null 2>&1; RESULT=$?
if [ ${RESULT} -eq 0 ]; then
		echo " - This system is running DEVFS."
		echo " - No additional action is required to populate /dev."
else
	if [ ! -f ${MAKEDEV} ]; then
		echo "ERROR: The file '${MAKEDEV}' was not found."
		echo "ERROR: This file should have been installed by the setup process."
		exit 1
	fi

	echo "Populating /dev"
	cd /dev && sh ${MAKEDEV} all && ls -l nvidia*
fi
